## pg-cloudconfig 0.11

=== Makefile ===
all: format check

install-tools:
	pip3 install flake8
	pip3 install yapf

check:
	flake8 pg_cloudconfig

format:
	yapf --style pep8 -i -r .

## pg-cloudconfig 0.8

=== debian/changelog ===
pg-cloudconfig (0.8) unstable; urgency=medium

  * Add autopkgtest.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 Jan 2018 16:36:28 +0100

pg-cloudconfig (0.7) unstable; urgency=medium

  * Initial Release.

 -- Alexander Sosna <alexander@xxor.de>  Wed, 03 Jan 2018 15:39:05 +0100

=== debian/control ===
Source: pg-cloudconfig
Section: database
Priority: optional
Maintainer: Alexander Sosna <alexander@xxor.de>
Build-Depends: debhelper (>= 10), dh-python, help2man, python3-setuptools, python3-all, python3-pint
Standards-Version: 4.1.3
Homepage: https://github.com/credativ/pg_cloudconfig
X-Python3-Version: >= 3.2
Vcs-Git: https://github.com/credativ/pg_cloudconfig.git
Vcs-Browser: https://github.com/credativ/pg_cloudconfig

Package: pg-cloudconfig
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, postgresql-common
Description: Set optimized defaults for PostgreSQL in virtual environments
 Tool to set optimized defaults for PostgreSQL in virtual environments.
 (changes settings without asking for confirmation).
 This is used to change the static defaults of PostgreSQL with potential
 more useful alternatives calculated based on available resources or previous
 settings.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pg-cloudconfig

override_dh_installman:
	PATH=$(PATH):$(CURDIR)/debian/pg-cloudconfig/usr/bin \
	PYTHONPATH=$(CURDIR) \
	help2man --no-discard-stderr --no-info \
		--name "set optimized defaults for PostgreSQL in virtualized environments" \
		--version-string=$(shell dpkg-parsechangelog -S Version) \
		pg_cloudconfig > pg_cloudconfig.1
	dh_installman

%:
	dh $@ --with python3 --buildsystem=pybuild

## pg-cloudconfig 0.9

=== debian/changelog ===
pg-cloudconfig (0.9) unstable; urgency=medium

  * Do not change max_connections by default

 -- Alexander Sosna <alexander@xxor.de>  Wed, 28 Feb 2018 15:10:05 +0100

## pg-cloudconfig 0.10

=== debian/changelog ===
pg-cloudconfig (0.10) unstable; urgency=medium

  * Support PostgreSQL 11

 -- Alexander Sosna <alexander@xxor.de>  Fri, 19 Oct 2018 10:57:05 +0100

## pg-cloudconfig 0.10+nmu1

=== debian/changelog ===
pg-cloudconfig (0.10+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:19:08 +0800

## pg-cloudconfig 0.11

=== debian/changelog ===
pg-cloudconfig (0.11) unstable; urgency=medium

  * Support PostgreSQL 12
  * Version check is only a warning now

 -- Alexander Sosna <alexander@xxor.de>  Thu, 31 Oct 2019 11:13:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Alexander Sosna <alexander@xxor.de>
+Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 10), dh-python, help2man, python3-setuptools, python3-all, python3-pint
 Standards-Version: 4.1.3
 Homepage: https://github.com/credativ/pg_cloudconfig

=== debian/tests/control ===
Depends: @, postgresql
Tests: run
Restrictions: allow-stderr

## pg-cloudconfig 0.11.pgdg16.04+2

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg16.04+2) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 9.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Sosna <alexander@xxor.de>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 10), dh-python, help2man, python3-setuptools, python3-all, python3-pint
+Build-Depends: debhelper (>= 9), dh-python, help2man, python3-setuptools, python3-all, python3-pint
 Standards-Version: 4.1.3
 Homepage: https://github.com/credativ/pg_cloudconfig
 X-Python3-Version: >= 3.2

## pg-cloudconfig 0.11.pgdg18.04+1

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

## pg-cloudconfig 0.11.pgdg20.04+1

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

## pg-cloudconfig 0.11.pgdg90+1

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

## pg-cloudconfig 0.11.pgdg100+1

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

## pg-cloudconfig 0.11.pgdg110+1

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

## pg-cloudconfig 0.11.pgdg+1

=== debian/changelog ===
pg-cloudconfig (0.11.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Oct 2019 11:13:05 +0100

## pg-cloudconfig 0.12~1.git658b443.pgdg18.04+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

pg-cloudconfig (0.12) UNRELEASED; urgency=medium

  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 28 Apr 2020 22:39:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Alexander Sosna <alexander@xxor.de>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9), dh-python, help2man, python3-setuptools, python3-all, python3-pint
+Build-Depends: debhelper (>= 11), dh-python, help2man, python3-setuptools, python3-all, python3-pint
 Standards-Version: 4.1.3
 Homepage: https://github.com/credativ/pg_cloudconfig
-X-Python3-Version: >= 3.2
 Vcs-Git: https://github.com/credativ/pg_cloudconfig.git
 Vcs-Browser: https://github.com/credativ/pg_cloudconfig

## pg-cloudconfig 0.12~1.git658b443.pgdg20.04+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Sosna <alexander@xxor.de>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 11), dh-python, help2man, python3-setuptools, python3-all, python3-pint
+Build-Depends: debhelper-compat (= 12), dh-python, help2man, python3-setuptools, python3-all, python3-pint
 Standards-Version: 4.1.3
 Homepage: https://github.com/credativ/pg_cloudconfig
 Vcs-Git: https://github.com/credativ/pg_cloudconfig.git

## pg-cloudconfig 0.12~1.git658b443.pgdg21.10+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

## pg-cloudconfig 0.12~1.git658b443.pgdg22.04+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

## pg-cloudconfig 0.12~1.git658b443.pgdg90+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Sosna <alexander@xxor.de>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper-compat (= 12), dh-python, help2man, python3-setuptools, python3-all, python3-pint
+Build-Depends: debhelper (>= 10), dh-python, help2man, python3-setuptools, python3-all, python3-pint
 Standards-Version: 4.1.3
 Homepage: https://github.com/credativ/pg_cloudconfig
 Vcs-Git: https://github.com/credativ/pg_cloudconfig.git

## pg-cloudconfig 0.12~1.git658b443.pgdg100+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

## pg-cloudconfig 0.12~1.git658b443.pgdg110+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

## pg-cloudconfig 0.12~1.git658b443.pgdg120+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000

## pg-cloudconfig 0.12~1.git658b443.pgdg+1

=== debian/changelog ===
pg-cloudconfig (0.12~1.git658b443.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Apr 2020 22:39:34 +0000
